"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const CustomInput = props => {
  const {
    stylePlaceholder = {},
    value = '',
    onChangeText,
    errorText = '',
    style = {},
    placeholder = 'Placeholder',
    ...remainProps
  } = props;
  const TextAnimated = (0, _react.useRef)(new _reactNative.Animated.Value(0)).current;
  const onFocus = () => {
    _reactNative.Animated.timing(TextAnimated, {
      toValue: 1,
      duration: 300,
      useNativeDriver: false
    }).start();
  };
  const onBlur = () => {
    if (!value) {
      _reactNative.Animated.timing(TextAnimated, {
        toValue: 0,
        duration: 300,
        useNativeDriver: false
      }).start();
    }
  };
  const styleAnimated = {
    top: TextAnimated.interpolate({
      inputRange: [0, 1],
      outputRange: [12, -10]
    }),
    left: TextAnimated.interpolate({
      inputRange: [0, 1],
      outputRange: [20, 15]
    }),
    paddingHorizontal: TextAnimated.interpolate({
      inputRange: [0, 1],
      outputRange: [0, 5]
    }),
    color: TextAnimated.interpolate({
      inputRange: [0, 1],
      outputRange: ['gray', errorText ? 'red' : 'blue']
    })
  };
  const colorText = errorText ? 'red' : 'gray';
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container, {
      borderColor: colorText
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, _extends({
    style: [styles.textInputContainer, style],
    value: value,
    onChangeText: onChangeText,
    onFocus: onFocus,
    onBlur: onBlur
  }, remainProps)), /*#__PURE__*/_react.default.createElement(_reactNative.Animated.Text, {
    style: [styles.placeholder, stylePlaceholder, styleAnimated]
  }, placeholder)), errorText && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.errorText
  }, errorText));
};
var _default = CustomInput;
exports.default = _default;
const styles = _reactNative.StyleSheet.create({
  container: {
    borderWidth: 1,
    borderRadius: 5,
    width: '100%',
    paddingVertical: 12,
    paddingHorizontal: 20
  },
  textInputContainer: {},
  placeholder: {
    backgroundColor: 'white',
    position: 'absolute',
    zIndex: -1
  },
  errorText: {
    color: 'red',
    paddingVertical: 5,
    alignSelf: 'flex-start',
    paddingLeft: 20
  }
});
//# sourceMappingURL=index.js.map